Subject: Re: no IPv6 Routers present

From: Vlad Yasevich <[email-masked]>
Date: Fri, 13 Mar 2009 07:55:50 -0400

feldmaus wrote:
> Vlad Yasevich <vladislav.yasevich <at> hp.com> writes:
> 
>> You need to give more information about your interface configurations,
>> routes, and any firewall rules.
> Next Bug, but this one should refer to the kernel i think:
> This one works not. --> <http://nopaste.debianforum.de/19665>
> 
> But this one works not --> <http://nopaste.debianforum.de/19664>
> 
> I worked out the syslog messages and the differences:
> In the not working configuration i used <NOARP> for eth0.
> I don't know why, but i think it come from ppp0 which
> uses it:
> ########################################################################
> iface dsl-provider inet ppp
>     pre-up /sbin/ifconfig eth0 up -arp 0 # line maintained by pppoeconf
>     provider dsl-provider
> ########################################################################
> 
> I also got some syslog Messages, this are for you:
> ########################################################################
> [  775.402699] host used greatest stack depth: 5672 bytes left
> ########################################################################
> 
> And i ran my <firewalllan> manually, so i got the following:
> ########################################################################
> iptables: Resource temporarily unavailable
> iptables: Resource temporarily unavailable
> iptables: Too many links
> iptables: Resource temporarily unavailable
> iptables: Too many links
> ########################################################################
> 
> I think this all comes from NOARP ?
> 
> Any Idea ?

You can't use NOARP on a normal network interface without some static neighbor
entries.  PPP interfaces do not require ARP since they are point-to-point
and you already know everything about the destination.  For ethernet interfaces,
you need arp to resolve the IP to MAC address mappings.

Get rid of NOARP in you eth0 case, and it should work.

-vlad

> 
> Regards Markus
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>